/* ========================================================================
* @author Grant McKenzie (grant.mckenzie@geog.ucsb.edu
* @date March 2014
* @course mat259
* @description Draw functionality
* ====================================================================== */

void draw() {
  lights();
  background(10);

  
  int count = 0;
  for (TableRow row : mds.rows()) {
    
    // String bib = row.getString("bibnum");
    float x = row.getFloat("x")*250;
    float y = row.getFloat("y")*250;
    // float z = row.getFloat("z")*250;
    float z = row.getFloat("year")*5;
    float pages = row.getFloat("pages")/100;
    // float pages = 1.0;
    // float z = 0;
    float cnt = row.getFloat("cnt")/6524;
    
    float h = 50;
    float v = 100;
    float s = 100*cnt;
    colorMode(HSB, 100);
    color c = color(h,v,s);
    
    colorMode(RGB, 255);
    fill(255);
    noStroke();
    
    //translate(x,y,z*-1*pages);
    
    //translate(x*-1,y*-1,z*pages);
    
    translate(x,y,z);
    /*for(int i=1;i<13;i++) {
      translate(0,0,10*-1*i);
      sphere(allDots[count][i]/50);
      translate(0,0,10*i);
    } */
    TexturedCube(textures.get(count), 1.0, pages, c);
    translate(x*-1,y*-1,z*-1);
    count++;
  } 
  
  /* for (TableRow row : jsd.rows()) {
    
    float x1 = row.getFloat("x1")*250;
    float y1 = row.getFloat("y1")*250;
    float z1 = row.getFloat("z1")*250;
    float x2 = row.getFloat("x2")*250;
    float y2 = row.getFloat("y2")*250;
    float z2 = row.getFloat("z2")*250;
    float jsdm = row.getFloat("jsd");
    //float z1 = 0;
    //float z2 = 0;
    stroke(255*jsdm/0.1);
    strokeWeight((0.1-jsdm)/0.1*5);
    line(x1,y1,z1,x2,y2,z2);
  } */
  /* int asdf = 0;
  for(int i=0;i<allDots.length;i++) {
      if(asdf < 10) {
        translate(allDots[i][0],allDots[i][1],allDots[i][2]);
        fill(255);
        noStroke();
        sphere(allDots[i][3]);
        translate(allDots[i][0]*-1,allDots[i][1]*-1,allDots[i][2]*-1);
      } else {
         break; 
      }
      asdf++;
  }  */
  
}
